Subject: Re: Hi,

From: Ben Greear <[email-masked]>
Date: Fri, 25 Oct 2013 22:04:08 -0700

On 10/25/2013 09:15 PM, John Reynolds wrote:
> Hi,
> Is there a userspace API that can be used to determine if a network interface is a 802.1Q interface, and what its vlan id and parent interface is. it appears that SOICGIFPFLAGS is not supported and netdev_priv() is only available to drivers, or do I have to resort to parsing the /proc/net/* files ?
>
> regards

The netlink API has it.  You can use the 'ip' tool and parse it's text output,
though of course that is not an overly stable API.

I think the old VLAN ioctls are still in the kernel as well, so you can
use those like the 'vconfig' tool does.

http://www.candelatech.com/~greear/vlan.html

Please note that 'ip' is the way of the future and I have little interest
in actually supporting vconfig.

Thanks,
Ben

>
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com